Subject: Re: [mpls] Working Group Last Call on draft-ietf-mpls-ldp-dod

From: "Maciek Konstantynowicz (mkonstan)" <[email-masked]>
Date: Sat, 2 Feb 2013 20:20:25 +0000

Lizhong,

Many thanks for your review.

We have modified the text of the draft to reflect your suggestions. Will publish updated version shortly.
Pls let us know if any further comments.

More inline [mk]

Thanks,
Maciek.

e: [email-masked]<mailto:[email-masked]>

On 11 Jan 2013, at 15:42, Lizhong Jin wrote:

Hi Loa,
I review this draft, and overall, it is well written. And I have following comments:
1. there is protocol extention in this draft. Should it be standard track instead of information?

[mk] We consider the proposed LDP TLV extension as minor. Let the WG decide if this warrants changing the status to standard track.

2. section 3, it says this draft will be updated once [I-D.ietf-mpls-ldp-ipv6] is advanced. Does that mean this last call should be after [I-D.ietf-mpls-ldp-ipv6], or should we just remove this sentance?

[mk] New text:

   This document is focusing on IPv4 LDP DoD procedures.  Similar
   procedures will apply to IPv6 LDP DoD [I-D.ietf-mpls-ldp-ipv6].

3. section 3.1.1, it says:
Downstream AN/AGN1x should respond to the label request from the
   upstream AN/AGN1x with a label mapping (if requested route is present
   in its RIB, and there is a valid label binding from its downstream)
I think more acurate saying of the last sentance would be "if requested route is present in its RIB, and there is a valid label binding from its downstream or it is the egress node".

[mk] New text:

   Downstream AN/AGN1x should respond to the label request from the
   upstream AN/AGN1x with a label mapping if requested route is present
   in its RIB, and there is a valid label binding from its downstream or
   it is the egress node.

Thanks
Lizhong

> ------------------------------
>
> Date: Wed, 19 Dec 2012 09:25:44 +0100
> From: Loa Andersson <[email-masked]<mailto:[email-masked]>>
> To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
> Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>,
>    "<[email-masked]<mailto:[email-masked]>>"
>    <[email-masked]<mailto:[email-masked]>>
> Subject: [mpls] Working Group Last Call on draft-ietf-mpls-ldp-dod
> Message-ID: <[email-masked]<mailto:[email-masked]>>
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
>
> Working Group,
>
> This is to start a working group last call on
> draft-ietf-mpls-ldp-dod-03. This working last call is extended
> due to the upcoming holidays.
>
> Please send your comments to the mpls working group mailing
> list ([email-masked]<mailto:[email-masked]>).
>
> Please send both technical comments, and if you are happy with the
> document as is also indications of support.
>
> There are no IPR claims against this draft.
>
> All the co-authors has stated that they are not ware of any IPRs.
>
> This working group last call will end on January 15, 2013.
>
> /Loa
> for the wg co-chairs
>
> --
>
>
> Loa Andersson                         email: [email-masked]<mailto:[email-masked]>
> Sr Strategy and Standards Manager            [email-masked]<mailto:[email-masked]>
> Ericsson Inc                          phone: +46 10 717 52 13
>                                               +46 767 72 92 13
>
> _______________________________________________
mpls mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls

---

From: Loa Andersson <[email-masked]>
Date: Mon, 04 Feb 2013 11:26:01 +0100

Maciek and authors,

I've taken a look at issues around standards track and updating RFC5036.
I've also consulted a bit with our AD.

There are two issues:

Updating RFC5036
----------------
I've always thought your Internet Draft does not update RFC5036,
but it is a bit unclear-

There is a paragraph in your ID that says:

    Label Distribution Protocol is specified in [RFC5036], and all LDP
    Downstream-on-Demand implementations MUST follow this specification.

I've always read this as that "...all LDP DoD implementations must
follow RFC5036". And I think that is what you intend to say.

However if the intention is to say "...all LDP DoD implementations must
follow draft-ietf-mpls-ldp-dod", we have a clear update and you need
to make this clear in your draft. As a consequence the draft need
to be on the standards track, you need to mention the update in the
abstract and introduction and update meta data.

Can you please re-write the paragraph above to make this clear.

Standards track or Informational
--------------------------------
This is much clearer - the fact that you define a new TLV makes this
Standards Track.

You'll have to update this.

/Loa

On 2013-02-02 21:20, Maciek Konstantynowicz (mkonstan) wrote:
> e: [email-masked] <mailto:[email-masked]>
>
>
>
>
> [mk] We consider the proposed LDP TLV extension as minor. Let the WG
> decide if this warrants changing the status to standard track.
>
>> 2. section 3, it says this draft will be updated once
>> [I-D.ietf-mpls-ldp-ipv6] is advanced. Does that mean this last call
>> should be after [I-D.ietf-mpls-ldp-ipv6], or should we just remove
>> this sentance?
>
> [mk] New text:
>
>> I think more acurate saying of the last sentance would be "if
>> requested route is present in its RIB, and there is a valid label
>> binding from its downstream or it is the egress node".
>
> [mk] New text:
>
>> > From: Loa Andersson <[email-masked] <mailto:[email-masked]>>
>> > To: "[email-masked] <mailto:[email-masked]>" <[email-masked]
>> <mailto:[email-masked]>>
>> > Cc: "[email-masked] <mailto:[email-masked]>"
>> <[email-masked] <mailto:[email-masked]>>,
>> >    "<[email-masked]
>> <mailto:[email-masked]>>"
>> >    <[email-masked]
>> <mailto:[email-masked]>>
>> > Message-ID: <[email-masked] <mailto:[email-masked]>>
>> > list ([email-masked] <mailto:[email-masked]>).
>> >
>> > Loa Andersson                         email:
>> [email-masked] <mailto:[email-masked]>
>> > Sr Strategy and Standards Manager [email-masked] <mailto:[email-masked]>
>> [email-masked] <mailto:[email-masked]>

-- 

Loa Andersson                        email: [email-masked]
MPLS Expert                                 [email-masked]
Huawei Technologies (consult)        phone: +46 739 81 21 64

---

From: "Maciek Konstantynowicz (mkonstan)" <[email-masked]>
Date: Mon, 25 Feb 2013 21:40:38 +0000

Loa,

Thanks for your clarifications regarding informational vs. standard point.
I updated the document as follows:-

1 - changed Intended status to Standards Track

2 - updated section 4 to make it clear that this draft does not update RFC5036.

   Label Distribution Protocol is specified in [RFC5036], and all LDP
   Downstream-on-Demand implementations MUST follow [RFC5036]
   specification.

thanks,
Maciek.